aboutsummaryrefslogtreecommitdiffstats
path: root/package/chillispot/files
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-05-14 20:35:05 +0000
committerNicolas Thill <nico@openwrt.org>2005-05-14 20:35:05 +0000
commitc5a29fa237044ea3e7b34273733cde9ffd1d1be3 (patch)
tree6357eda96390202b43a489a4115ffa63e556909f /package/chillispot/files
parentdc3352e9b75da19183729c6e8a131c829707c01a (diff)
downloadmaster-187ad058-c5a29fa237044ea3e7b34273733cde9ffd1d1be3.tar.gz
master-187ad058-c5a29fa237044ea3e7b34273733cde9ffd1d1be3.tar.bz2
master-187ad058-c5a29fa237044ea3e7b34273733cde9ffd1d1be3.zip
Convert chillispot to new packaging style
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@895 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/chillispot/files')
-rw-r--r--package/chillispot/files/chillispot.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/package/chillispot/files/chillispot.init b/package/chillispot/files/chillispot.init
new file mode 100644
index 0000000000..289b1fe8a5
--- /dev/null
+++ b/package/chillispot/files/chillispot.init
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+RUN_D=/var/run
+PID_F=$RUN_D/chilli.pid
+
+case $1 in
+ start)
+ /sbin/insmod tun >/dev/null 2>&1
+ [ -d $RUN_D ] || mkdir -p $RUN_D
+ /usr/sbin/chilli
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?